Enable a named stream Technical preview; Added in 9.1.0

POST /_streams/{name}/_enable

Turn on the named stream feature for this cluster.

NOTE: To protect existing data, this feature can be turned on only if the cluster does not have existing indices or data streams that match the pattern <name>|<name>.* for the enabled stream type name. If those indices or data streams exist, a 409 - Conflict response and error is returned.

Required authorization

  • Cluster privileges: manage

Path parameters

  • name string Required

    The stream type to enable.

    Supported values include:

    • logs: The logs stream type.
    • logs.otel: The logs.otel stream type, meant for OTel-formatted data.
    • logs.ecs: The logs.ecs stream type, meant for ECS-formatted data.

    Values are logs, logs.otel, or logs.ecs.

Query parameters

  • master_timeout string

    The period to wait for a connection to the master node. If no response is received before the timeout expires, the request fails and returns an error.

    External documentation
  • timeout string

    The period to wait for a response. If no response is received before the timeout expires, the request fails and returns an error.

    External documentation

Responses

  • 200 application/json
    Hide response attribute Show response attribute object
    • acknowledged boolean Required

      For a successful response, this value is always true. On failure, an exception is returned instead.

POST /_streams/{name}/_enable
POST _streams/logs.otel/_enable
resp = client.streams.logs_enable(
    name="logs.otel",
)
const response = await client.streams.logsEnable({
  name: "logs.otel",
});
response = client.streams.logs_enable(
  name: "logs.otel"
)
$resp = $client->streams()->logsEnable([
    "name" => "logs.otel",
]);
curl -X POST -H "Authorization: ApiKey $ELASTIC_API_KEY" "$ELASTICSEARCH_URL/_streams/logs.otel/_enable"
client.streams().logsEnable(l -> l);
Response examples (200)
A successful response from `POST _streams/logs.otel/_enable` endpoint
{
  "acknowledged": true
}